idn2_to_ascii_lz(3)

NAME
idn2_to_ascii_lz - API function

SYNOPSIS
#include <idn2.h>

int idn2_to_ascii_lz(const char * input, char ** output, int flags);

ARGUMENTS

const char * input
    zero terminated input UTF-8 string.

char ** output
    pointer to newly allocated output string.

int flags
    optional idn2_flags to modify behaviour.

DESCRIPTION
Convert a domain name in locale's encoding to ASCII string using the IDNA2008 rules. The domain name may contain several labels, separated by dots. The output buffer must be deallocated by the caller.

The default behavior of this function (when flags are zero) is to apply the IDNA2008 rules without the TR46 amendments. As the TR46 non-transitional processing is nowadays ubiquitous, when unsure, it is recommended to call this function with the IDN2_NONTRANSITIONAL and the IDN2_NFC_INPUT flags for compatibility with other software.

RETURNS
IDN2_OK on success, or error code. Same as described in idn2_lookup_ul() documentation.

SINCE
2.0.0

SEE ALSO
The full documentation for libidn2 is maintained as a Texinfo manual. If the info and libidn2 programs are properly installed at your site, the command

    info libidn2

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/libidn2/manual/